import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { Brush } from "igniteui-react-core";
import { Series } from "./Series";
import { List$1 } from "igniteui-react-core";
import { SeriesLayerPropertyOverlay } from "./SeriesLayerPropertyOverlay";
import { Type, Point } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Rect } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class WaterfallSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bc(): Series;
    protected get_fk(): boolean;
    protected get_ez(): boolean;
    protected g1(): List$1<SeriesLayerPropertyOverlay>;
    protected iq(): number;
    protected get_ep(): boolean;
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    zg: WaterfallSeriesView;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_e0(): boolean;
    p1(a: Brush, b: Brush): void;
    zr: Brush;
    s5(): Brush;
    s6(): Brush;
    zh: number;
    zi: number;
    cj(): SeriesVisibleRangeMode;
    protected get_dv(): boolean;
    protected pa(a: any, b: string, c: any, d: any): void;
    f5(a: Point, b: boolean): boolean;
    tu(a: Point): Rect;
    private zt;
    protected vy(): CategoryTransitionInMode;
    nk(a: boolean, b: SeriesView): void;
    protected get_xv(): number;
    h1(): number;
    w7(a: CategoryFrame, b: CategorySeriesView): void;
    zs: Brush;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class WaterfallSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    au(): void;
    protected dd: WaterfallSeries;
    constructor(a: WaterfallSeries);
    dn(): Rectangle;
    protected df: List$1<Rectangle>;
    dg(a: Rectangle): void;
    di(a: Rectangle): void;
    dh(a: Rectangle): void;
    dj(a: Rectangle, b: number, c: number): void;
    protected ac(a: number): any;
    private dm;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    de: Pool$1<Rectangle>;
    an(a: any): void;
    dk(a: number): Rect;
    dl(a: Rectangle): Rect;
}
